<?php
/**
 * Cron Script
 * Action and hooks to be moved here TODO 
 * @since 1.1
 */
//btr_cron_send(); //Jumps in to test code (Remove for production)
//wp_unschedule_event( '1256593621', 'btr_cron_send_hook' );

//Add filter to create custom time for Cron
add_filter('cron_schedules', 'more_reccurences');
//Add action for Cron Job
add_action('btr_cron_hook', 'btr_cron_send');

/**
 * Creates a cron job using custom time
 * Action and hooks to be moved here TODO 
 * @since 1.1
 */
function btr_create_cron (){
  //Add line to debug showing cron ran
  gltr_debug("btr_plugin_activate :: cron function ran");
  //Add cron event to wordpress cron
  wp_schedule_event(time(), 'btr_cron_custom' , 'btr_cron_hook' );
}

/**
 * Creates a custom interval for the cron to run
 * Action and hooks to be moved here TODO 
 * @since 1.1
 */
function more_reccurences($schedules) {
  //Gets connection interval from database
  $btr_conn_interval = get_option('gltr_conn_interval');
  //Adds ten seconds to interval to stop collision
  $btr_conn_interval_plus = $btr_conn_interval + "10";
  //Create custom timing array
	$schedules['btr_cron_custom'] = array('interval' => $btr_conn_interval, 'display' => 'Bens Translator Custom');
	return $schedules;
}

// Function for the actual Cron
function btr_cron_send() {
  $btr_cron_date = date("d/m/y : H:i:s", time());
  gltr_debug("btr_cron_send :: Cron Job Fired, $btr_cron_date");
}


?>