<?php
/**
 * Sets Languages available for translation
 * Sets Base languages
 * @since 0.9
 */
$googleEngine = new gltr_translation_engine(
	'google',
	'http://translate.google.com/translate?hl=en&sl=${SRCLANG}&tl=${DESTLANG}&u=${URL}',
   array(
    "/=[^\s|>]*u=(.*?)&amp;([^\s|>|#]*)([#]{0,1}[^\s|>]*)([\s|>]{1})/"
	),
	"href=\"\\1\" ",
	array(
	  'ar'    => array( 'ar'    => 'Arabic',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',								    
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',								    
								    'iw'		=> 'Hebrew',						    
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),
  'bg'    => array( 'bg'		=>'Bulgarian',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'zh-CN' => array( 'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=> 'Bulgarian',
								    'cs'		=> 'Czech',
								    'hr'		=> 'Croatian',
								    'da'		=> 'Danish',
								    'fi'		=> 'Finnish',
								    'pl'		=> 'Polish',
								    'sv'		=> 'Swedish',
    								'no'		=> 'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'hr'    => array( 'hr'		=>'Croatianian',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),
  'cs'    => array( 'cs'		=>'Czech',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'da'    => array( 'da'		=>'Danish',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'nl'    => array( 'nl'		=> 'Dutch',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'en'    => array( 'en'    => 'English',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=> 'Bulgarian',
								    'cs'		=> 'Czech',
								    'hr'		=> 'Croatian',
								    'da'		=> 'Danish',
								    'fi'		=> 'Finnish',
								    'pl'		=> 'Polish',
								    'sv'		=> 'Swedish',
    								'no'		=> 'Norwegian',   
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                                        
  'fi'    => array( 'fi'		=>'Finnish',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'fr'    => array( 'fr'    => 'French',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'ro'		=>'Rmanian',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),
  'de'    => array( 'de'    => 'German',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
									),                    
  'el'    => array( 'el'		=>'Greek',
    								'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
								    'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'iw'    => array( 'iw'		=> 'Hebrew',
    								'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'no'		=>'Norwegian',
								    'sv'		=>'Swedish',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'hu'    => array( 'hu'    => 'Hungarian',
                    'it'    => 'Italian',
                    'ko'    => 'Korean',
                    'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
                    'pt'    => 'Portuguese',
                    'en'    => 'English',
                    'de'    => 'German',
                    'fr'    => 'French',
                    'es'    => 'Spanish',
                    'ja'    => 'Japanese',
                    'ar'    => 'Arabic',
                    'ru'    => 'Russian',
                    'el'    => 'Greek',
                    'nl'    => 'Dutch',
                    'bg'    =>'Bulgarian',
                    'cs'    =>'Czech',
                    'hr'    =>'Croatian',
                    'da'    =>'Danish',
                    'fi'    =>'Finnish',
                    'pl'    =>'Polish',
                    'no'    =>'Norwegian',
                    'sv'    =>'Swedish',
                    'iw'    => 'Hebrew',
                    'id'    => 'Indonesian',
                    'lv'    => 'Latvian',
                    'lt'    => 'Lithuanian',
                    'sr'    => 'Serbian',
                    'sk'    => 'Slovak',
                    'sl'    => 'Slovenian',
                    'uk'    => 'Ukrainian',                   
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'vi'    => 'Vietnamese',                   
                    ),                    
  'it'    => array( 'it'=>'Italiano',
                    'ar'=>'Arabo',
                    'bg'=>'Bulgaro',
                    'ca'=>'Catalano',
                    'zh-CN'=>'Cinese (Semplificato)',
                    'zh-TW'=>'Cinese (Tradizionale)',
                    'hr'=>'Croatiano',
                    'cs'=>'Ceco',
                    'da'=>'Danese',
                    'nl'=>'Olandese',
                    'en'=>'Inglese',
                    'tl'=>'Filippino',
                    'fi'=>'Finlandese',
                    'fr'=>'Francese',
                    'de'=>'Tedesco',
                    'el'=>'Greco',
										'iw'=>'Ebraico',
                    'hi'=>'Hindi',
										'id'=>'Indonesiano',
                    'ja'=>'Giapponese',
                    'ko'=>'Coreano',
										'lv'=>'Lettone',
										'lt'=>'Lituano',
    								'no'=>'Norvegese',
                    'pl'=>'Polacco',
                    'pt'=>'Portoghese',
                    'ro'=>'Rumeno',
                    'ru'=>'Russo',
										'sr'=>'Serbo',
										'sk'=>'Slovacco',
										'sl'=>'Sloveno',
                    'es'=>'Spagnolo',
                    'sv'=>'Svedese',
                    'uk'=>'Ucraino',
                    'vi'=>'Vietnamita',
                    'sq'=>'Albanese',
								    'et'=>'Estone',
								    'th'=>'Tailandese',
								    'tr'=>'Turco',
								    'hu'=>'Ungherese'
                    ),                    
  'ja'    => array( 'ja'    => 'Japanese',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'ko'    => array( 'ko'    => 'Korean',
									  'it'    => 'Italian',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=> 'Bulgarian',
								    'cs'		=> 'Czech',
								    'hr'		=> 'Croatian',
								    'da'		=> 'Danish',
								    'fi'		=> 'Finnish',
								    'hi'		=> 'Hindi',
								    'pl'		=> 'Polish',
								    'sv'		=> 'Swedish',
    								'no'		=> 'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),
  'no'    => array( 'no'		=>'Norwegian',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'pl'    => array( 'pl'		=>'Polish',
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'pt'    => array( 'pt'    => 'Portugus',
									  'it'    => 'Italiano',
									  'ko'    => 'Coreano',
									  'zh-CN' => 'Chins (simplificado)',
                    'zh-TW' => 'Chins (Traditional)',
                    'en'    => 'English',
									  'de'    => 'Alemo',
									  'fr'    => 'Francs',
									  'es'    => 'Espanhol',
									  'ja'    => 'Japons',
									  'ar'    => 'rabe',
									  'ru'		=> 'Russo',
									  'nl'		=> 'Holands',
								    'bg'		=>'Blgaro',
								    'cs'		=>'Tcheco',
								    'hr'		=>'Croatiana',
								    'da'		=>'Dinamarqus',
								    'fi'		=>'Finlands',
								    'hi'		=>'Hindu',
								    'pl'		=>'Polons',
								    'ro'		=>'Romeno',
								    'sv'		=>'Sueco',
								    'el'		=>'Grego',
    								'no'		=>'Noruegus',
								    'ca'    => 'Catalo',
								    'iw'		=> 'Hebreu',
								    'id'		=> 'Indonsio',
								    'lt'		=> 'Lituano',
								    'sr'		=> 'Srvio',
								    'sk'		=> 'Slovaco',
								    'sl'		=> 'Slovnio',
								    'uk'		=> 'Ucraniano',
								    'vi'		=> 'Vietnamita',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'ro'    => array( 
								    'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'ru'    => array( 'ru'		=> 'Russian',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                   
  'sr'    => array( 'sr'		=> 'Serbian',
    								'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'no'		=>'Norwegian',
								    'sv'		=>'Swedish',								    
								    'iw'		=> 'Hebrew',								    
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'sk'    => array( 'sk'		=> 'Slovak',
    								'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'no'		=>'Norwegian',
								    'sv'		=>'Swedish',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',								    
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'es'    => array( 'es'    => 'Spanish',
									  'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'sv'		=>'Swedish',
    								'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'sv'    => array( 'sv'		=>'Swedish',
    								'it'    => 'Italian',
									  'ko'    => 'Korean',
									  'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
									  'pt'    => 'Portuguese',
									  'en'    => 'English',
									  'de'    => 'German',
									  'fr'    => 'French',
									  'es'    => 'Spanish',
									  'ja'    => 'Japanese',
									  'ar'    => 'Arabic',
									  'ru'		=> 'Russian',
									  'el'    => 'Greek',
									  'nl'		=> 'Dutch',
								    'bg'		=>'Bulgarian',
								    'cs'		=>'Czech',
								    'hr'		=>'Croatian',
								    'da'		=>'Danish',
								    'fi'		=>'Finnish',
								    'pl'		=>'Polish',
								    'no'		=>'Norwegian',
								    'iw'		=> 'Hebrew',
								    'sr'		=> 'Serbian',
								    'sk'		=> 'Slovak',
                    'th'    => 'Thai',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),                    
  'th'    => array( 'th'    => 'Thai',
                    'it'    => 'Italian',
                    'ko'    => 'Korean',
                    'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
                    'pt'    => 'Portuguese',
                    'en'    => 'English',
                    'de'    => 'German',
                    'fr'    => 'French',
                    'es'    => 'Spanish',
                    'ja'    => 'Japanese',
                    'ar'    => 'Arabic',
                    'ru'    => 'Russian',
                    'el'    => 'Greek',
                    'nl'    => 'Dutch',
                    'bg'    =>'Bulgarian',
                    'cs'    =>'Czech',
                    'hr'    =>'Croatian',
                    'da'    =>'Danish',
                    'fi'    =>'Finnish',
                    'pl'    =>'Polish',
                    'no'    =>'Norwegian',
                    'sv'    =>'Swedish',
                    'iw'    => 'Hebrew',
                    'id'    => 'Indonesian',
                    'lv'    => 'Latvian',
                    'lt'    => 'Lithuanian',
                    'sr'    => 'Serbian',
                    'sk'    => 'Slovak',
                    'sl'    => 'Slovenian',
                    'uk'    => 'Ukrainian',                                       
                    'vi'    => 'Vietnamese',
                    'tr'    => 'Turkish',
                    'hu'    => 'Hungarian'                    
                    ),
  'tr'    => array( 'tr'    => 'Turkish',
                    'it'    => 'Italian',
                    'ko'    => 'Korean',
                    'zh-CN' => 'Chinese (Simplified)',
                    'zh-TW' => 'Chinese (Traditional)',
                    'pt'    => 'Portuguese',
                    'en'    => 'English',
                    'de'    => 'German',
                    'fr'    => 'French',
                    'es'    => 'Spanish',
                    'ja'    => 'Japanese',
                    'ar'    => 'Arabic',
                    'ru'    => 'Russian',
                    'el'    => 'Greek',
                    'nl'    => 'Dutch',
                    'bg'    =>'Bulgarian',
                    'cs'    =>'Czech',
                    'hr'    =>'Croatian',
                    'da'    =>'Danish',
                    'fi'    =>'Finnish',                 
                    'pl'    =>'Polish',
                    'no'    =>'Norwegian',
                    'sv'    =>'Swedish',                
                    'iw'    => 'Hebrew',
                    'id'    => 'Indonesian',
                    'lv'    => 'Latvian',
                    'lt'    => 'Lithuanian',
                    'sr'    => 'Serbian',
                    'sk'    => 'Slovak',
                    'sl'    => 'Slovenian',
                    'uk'    => 'Ukrainian',                                 
                    'th'    => 'Thai',
                    'vi'    => 'Vietnamese',
                    'hu'    => 'Hungarian'                    
                    ), 
  ),

	array(
	  'ar'    => 'Arabic',
	  'bg'		=> 'Bulgarian',
	  'zh-CN' => 'Chinese (Simplified)',
    'zh-TW' => 'Chinese (Traditional)',
	  'hr'		=> 'Croatian',
	  'cs'		=> 'Czech',
	  'da'		=> 'Danish',
	  'nl'		=> 'Dutch',
	  'en'    => 'English',
	  'fi'		=> 'Finnish',
	  'fr'    => 'French',
	  'de'    => 'German',
	  'el'    => 'Greek',
	  'iw'		=> 'Hebrew',
	  'hu'    => 'Hungarian',
	  'it'    => 'Italian',
	  'ja'    => 'Japanese',
	  'ko'    => 'Korean',
	  'no'		=> 'Norwegian',
	  'pl'		=> 'Polish',
	  'pt'    => 'Portuguese',
	  'ru'		=> 'Russian',
	  'sr'		=> 'Serbian',
	  'sk'		=> 'Slovak',
	  'es'    => 'Spanish',
	  'sv'		=> 'Swedish',
	  'th'    => 'Thai',
	  'tr'    => 'Turkish'
	  )
	);
?>